mscorlib 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true) To be added.

Defines where and how to import the private key of an X.509 certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyStorageFlags

  The default key set is used. The user key set is usually the default.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyStorageFlags

  Imported keys are marked as exportable.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyStorageFlags

  Private keys are stored in the local computer store rather than the current user store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyStorageFlags

  The key associated with a PFX file is persisted when importing a certificate.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyStorageFlags

  Private keys are stored in the current user store rather than the local computer store. This occurs even if the certificate specifies that the keys should go in the local computer store.

- Field
  2.0.0.0
  4.0.0.0
  System.Security.Cryptography.X509Certificates.X509KeyStorageFlags

  Notify the user through a dialog box or other method that the key is accessed. The Cryptographic Service Provider (CSP) in use defines the precise behavior.